# Conditional build:
%bcond_without	shared	# build as shared library

Summary:	Ngspice circuit simulator
Summary(pl.UTF-8):	Ngspice symulator obwodów
Name:		ngspice
Version:	41
Release:	1
License:	GPL
Group:		Applications
Source0:	https://sourceforge.net/projects/ngspice/files/ng-spice-rework/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	5f95f3e17405ce9ebcf213786ce73708
Source1:	%{name}.desktop
URL:		http://ngspice.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ngspice is a mixed-level/mixed-signal circuit simulator. Its code is
based on three open source software packages: Spice3f5, Cider1b1 and
Xspice.

%description -l pl.UTF-8
Ngspice is a mixed-level/mixed-signal circuit simulator. Its code is
based on three open source software packages: Spice3f5, Cider1b1 and
Xspice.

%package devel
Summary:	Header files for ngspice library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ngspice
License:	GPL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for ngspice library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ngspice.

%prep
%setup -q
find . '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%build

%configure \
	--disable-silent-rules \
	--enable-xspice \
	--enable-cider \
	--enable-openmp \
%if %{with shared}
	--with-ngshared
%else
	--enable-xgraph \
	--with-x \
	--with-readline=yes
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install -d $RPM_BUILD_ROOT%{_desktopdir}

%if %{without shared}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
%endif
cp -R examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with shared}
%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig
%endif

%files
%defattr(644,root,root,755)
%doc ANALYSES AUTHORS ChangeLog NEWS README
%dir %{_libdir}/ngspice
%attr(755,root,root) %{_libdir}/ngspice/*.cm
%{_examplesdir}/%{name}-%{version}
%{_datadir}/%{name}

%if %{without shared}
%attr(755,root,root) %{_bindir}/ngspice
%{_desktopdir}/%{name}.desktop
%{_mandir}/man1/ng*1*
%else
%attr(755,root,root) %{_libdir}/libngspice.so.0.0.*
%attr(755,root,root) %ghost %{_libdir}/libngspice.so.0
%endif

%files devel
%defattr(644,root,root,755)
%if %{with shared}
%{_libdir}/libngspice.so
%{_libdir}/libngspice.la
%{_pkgconfigdir}/*.pc
%{_includedir}/ngspice
%endif
%changelog
* Sat Nov 25 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ngspice.git;a=log;h=master

* Sun Nov 19 2023 Bartek Szady <bszx@bszx.eu> 60cb37e
- updated to 41

* Thu Apr 06 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> af7131b
- up to 40

* Sat Apr 01 2023 Bartek Szady <bszx@bszx.eu> 5cb1ca1
- updated to 39

* Sat Dec 04 2021 Bartek Szady <bszx@bszx.eu> 8750608
- updated to 35

* Thu May 06 2021 Bartek Szady <bszx@bszx.eu> 56e3a39
- updated to 34

* Sun Dec 01 2019 Bartek Szady <bszx@bszx.eu> 1c51560
- updated to 31

* Fri Aug 09 2019 Bartek Szady <bszx@bszx.eu> bcec57d
- updated to 30

* Mon Oct 22 2018 Jan Rękorajski <baggins@pld-linux.org> 0e7eda1
- rel 1

* Wed Aug 15 2018 Bartek Szady <bszx@bszx.eu> f0102f1
- updated to 28
- renamed to ngspice (like project name)
- library version build by default

* Mon Feb 04 2008 Jakub Bogusz <qboosh@pld-linux.org> eed7f93
- fixed
- adapted to PLD vfolders categories
- added pl
- dropped deprecated Encoding

* Sun Feb 03 2008 luzik <luzik@pld-linux.org> 05da7da
- initial PLD release

* Sun Feb 03 2008 luzik <luzik@pld-linux.org> f327d79
- .desktop files

